package com.madeu.service.web.webappcontents;

import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;

public interface WebAppContentsService {
    public HashMap<String, Object> selectListAppContentsIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertAppContentsIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> updateAppContentsIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListAppContents(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectAppContents(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> uploadFile(HashMap<String, Object> paramMap, MultipartFile file) throws Exception;
    public HashMap<String, Object> insertAppContents(HashMap<String, Object> paramMap, MultipartFile file, MultipartFile file2) throws Exception;
    public HashMap<String, Object> updateAppContents(HashMap<String, Object> paramMap, MultipartFile file, MultipartFile file2) throws Exception;
    public HashMap<String, Object> deleteAppContents(HashMap<String, Object> paramMap) throws Exception;
}
